Remove domain forwarding
curl --request DELETE \
--url https://api.instantly.ai/api/v2/domains/{domain}/forwarding \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/domains/{domain}/forwarding"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/domains/{domain}/forwarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.instantly.ai/api/v2/domains/{domain}/forwarding")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/domains/{domain}/forwarding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/domains/{domain}/forwarding"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"domain": "example.com",
"forwarding_domain": "mycompany.com",
"forwarding_mode": "redirect"
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'",
"code": "FST_ERR_VALIDATION"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 409,
"error": "Conflict",
"message": "The resource already exists"
}{
"statusCode": 422,
"error": "Unprocessable Entity",
"message": "The request cannot be processed"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}{
"statusCode": 502,
"error": "Bad Gateway",
"message": "Failed to update forwarding for the domain. Please try again."
}Domain Forwarding
Remove domain forwarding
Removes web forwarding from a domain ordered through Instantly. This operation is idempotent: removing forwarding from a domain that has none configured succeeds without changes. This request has a rate limit of 10 requests per minute, or 60 requests per hour.
Requires one of the following scopes: dfy_email_account_orders:delete, dfy_email_account_orders:all, all:delete, all:all
DELETE
/
api
/
v2
/
domains
/
{domain}
/
forwarding
Remove domain forwarding
curl --request DELETE \
--url https://api.instantly.ai/api/v2/domains/{domain}/forwarding \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/domains/{domain}/forwarding"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/domains/{domain}/forwarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.instantly.ai/api/v2/domains/{domain}/forwarding")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/domains/{domain}/forwarding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/domains/{domain}/forwarding"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"domain": "example.com",
"forwarding_domain": "mycompany.com",
"forwarding_mode": "redirect"
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'",
"code": "FST_ERR_VALIDATION"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 409,
"error": "Conflict",
"message": "The resource already exists"
}{
"statusCode": 422,
"error": "Unprocessable Entity",
"message": "The request cannot be processed"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}{
"statusCode": 502,
"error": "Bad Gateway",
"message": "Failed to update forwarding for the domain. Please try again."
}Authorizations
Path Parameters
Response
The requested Domain Forwarding
Web forwarding configuration for a domain ordered through Instantly